const colos = [
    "white",
    "light_gray",
    "gray",
    "black",
    "brown",
    "red",
    "orange",
    "yellow",
    "lime",
    "green",
    "light_blue",
    "cyan",
    "blue",
    "purple",
    "magenta",
    "pink"
];
export function stripColorFromId(blockId) {
    //replace the last bit like "...._white"
    const parts = blockId.split("_");
    if (parts.length == 1)
        return blockId;
    const lastPart = parts.pop();
    if (colos.includes(lastPart)) {
        return parts.join("_");
    }
    return blockId;
}
